## org.eclipse.datatools.sqltools.sqleditor
Interface ISQLEditorActionConstants

public interface ISQLEditorActionConstants

This interface defines the action constants used in SQL Editor.

Author:
  Li Huang

Field Summary
`static java.lang.String` `ATTACHE_PROFILE_ACTION_ID` Context menu id for attach connection profile action.
`static java.lang.String` `CONTENT_ASSIST_ACTION_ID` Context menu id for content assist action.
`static java.lang.String` `DEBUG_ACTION_ID` Context menu id for debug routine action.
`static java.lang.String` `EXECUTE_SELECTION_SQL_ACTION_ID` Context menu id for selected sql execution action.
`static java.lang.String` `EXECUTE_SQL_ACTION_ID` Context menu id for sql execution action.
`static java.lang.String` `EXPLAIN_SQL_ACTION_ID` Context menu id for SQL query plan retrieval action.
`static java.lang.String` `GROUP_INSERT_QUERY_ID` Context menu manager id for query creation wizard actions.
`static java.lang.String` `GROUP_NEW_ROUTINE_ID` Context menu manager id for routine object creation actions.
`static java.lang.String` `GROUP_OPEN` Context menu group for open actions.
`static java.lang.String` `GROUP_SQLEDITOR_ADDITION` Context menu group for additional actions.
`static java.lang.String` `GROUP_SQLEDITOR_DB_SUBMENU` Context menu group for database specific actions.
`static java.lang.String` `GROUP_SQLEDITOR_EXECUTE` Context menu group for execute actions.
`static java.lang.String` `GROUP_SQLEDITOR_PASTE` Context menu group for statement insertion actions, such as S/I/U/D statement wizards.
`static java.lang.String` `GROUP_SQLEDITOR_PREFERENCE` Context menu group for SQL Editor preference action.
`static java.lang.String` `GROUP_SQLEDITOR_SAVE` Context menu group for save actions.
`static java.lang.String` `GROUP_SQLEDITOR_SOURCE` Context menu group for SQL source actions.
`static java.lang.String` `GROUP_SQLEDITOR_WIZARD` Context menu group for routine object creation wizard actions.
`static java.lang.String` `NEW_EVENT_ACTION_ID` Context menu id for event creation action.
`static java.lang.String` `NEW_FUNCTION_ACTION_ID` Context menu id for function creation action.
`static java.lang.String` `NEW_PROCEDURE_ACTION_ID` Context menu id for stored procedure creation action.
`static java.lang.String` `NEW_TRIGGER_ACTION_ID` Context menu id for trigger creation action.
`static java.lang.String` `OPEN_DECLARATION_ACTION_ID` Context menu id for open declaration action.
`static java.lang.String` `PASTE_DELETE_ACTION_ID` Context menu id for delete statement creation action.
`static java.lang.String` `PASTE_INSERT_ACTION_ID` Context menu id for insert statement creation action.
`static java.lang.String` `PASTE_SELECT_ACTION_ID` Context menu id for select statement creation action.
`static java.lang.String` `PASTE_UPDATE_ACTION_ID` Context menu id for update statement creation action.
`static java.lang.String` `REFRESH_FROM_DATABASE_ACTION_ID` Context menu id for refresh from database action.
`static java.lang.String` `RUN_ACTION_ID` Context menu id for run routine action.
`static java.lang.String` `SAVE_AS_TEMPLATE_ACTION_ID` Context menu id for save selected text as template action.
`static java.lang.String` `SAVE_TO_DATABASE_ACTION_ID` Context menu id for save to database action.
`static java.lang.String` `SHOW_INFORMATION_ACTION_ID` Context menu id for show information action.
`static java.lang.String` `TOGGLE_COMMENT` Context menu id for toggle comment action.

Field Detail

### GROUP_SQLEDITOR_EXECUTE

    public static final java.lang.String GROUP_SQLEDITOR_EXECUTE

  Context menu group for execute actions. Value: `"group.sqleditor.execute"`

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_WIZARD

    public static final java.lang.String GROUP_SQLEDITOR_WIZARD

  Context menu group for routine object creation wizard actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_SAVE

    public static final java.lang.String GROUP_SQLEDITOR_SAVE

  Context menu group for save actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_PASTE

    public static final java.lang.String GROUP_SQLEDITOR_PASTE

  Context menu group for statement insertion actions, such as S/I/U/D statement wizards.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_SOURCE

    public static final java.lang.String GROUP_SQLEDITOR_SOURCE

  Context menu group for SQL source actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_ADDITION

    public static final java.lang.String GROUP_SQLEDITOR_ADDITION

  Context menu group for additional actions.

  See Also:
    Constant Field Values

### GROUP_OPEN

    public static final java.lang.String GROUP_OPEN

  Context menu group for open actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_DB_SUBMENU

    public static final java.lang.String GROUP_SQLEDITOR_DB_SUBMENU

  Context menu group for database specific actions.

  See Also:
    Constant Field Values

### GROUP_SQLEDITOR_PREFERENCE

    public static final java.lang.String GROUP_SQLEDITOR_PREFERENCE

  Context menu group for SQL Editor preference action.

  See Also:
    Constant Field Values

### CONTENT_ASSIST_ACTION_ID

    public static final java.lang.String CONTENT_ASSIST_ACTION_ID

  Context menu id for content assist action.

  See Also:
    Constant Field Values

### EXPLAIN_SQL_ACTION_ID

    public static final java.lang.String EXPLAIN_SQL_ACTION_ID

  Context menu id for SQL query plan retrieval action.

### EXECUTE_SQL_ACTION_ID

    public static final java.lang.String EXECUTE_SQL_ACTION_ID

  Context menu id for sql execution action.

### EXECUTE_SELECTION_SQL_ACTION_ID

    public static final java.lang.String EXECUTE_SELECTION_SQL_ACTION_ID

  Context menu id for selected sql execution action.

### SHOW_INFORMATION_ACTION_ID

    public static final java.lang.String SHOW_INFORMATION_ACTION_ID

  Context menu id for show information action.

### GROUP_NEW_ROUTINE_ID

    public static final java.lang.String GROUP_NEW_ROUTINE_ID

  Context menu manager id for routine object creation actions.

### NEW_EVENT_ACTION_ID

    public static final java.lang.String NEW_EVENT_ACTION_ID

  Context menu id for event creation action.

### NEW_FUNCTION_ACTION_ID

    public static final java.lang.String NEW_FUNCTION_ACTION_ID

  Context menu id for function creation action.

### NEW_PROCEDURE_ACTION_ID

    public static final java.lang.String NEW_PROCEDURE_ACTION_ID

  Context menu id for stored procedure creation action.

### NEW_TRIGGER_ACTION_ID

    public static final java.lang.String NEW_TRIGGER_ACTION_ID

  Context menu id for trigger creation action.

### GROUP_INSERT_QUERY_ID

    public static final java.lang.String GROUP_INSERT_QUERY_ID

  Context menu manager id for query creation wizard actions.

### PASTE_SELECT_ACTION_ID

    public static final java.lang.String PASTE_SELECT_ACTION_ID

  Context menu id for select statement creation action.

### PASTE_UPDATE_ACTION_ID

    public static final java.lang.String PASTE_UPDATE_ACTION_ID

  Context menu id for update statement creation action.

### PASTE_INSERT_ACTION_ID

    public static final java.lang.String PASTE_INSERT_ACTION_ID

  Context menu id for insert statement creation action.

### PASTE_DELETE_ACTION_ID

    public static final java.lang.String PASTE_DELETE_ACTION_ID

  Context menu id for delete statement creation action.

### SAVE_TO_DATABASE_ACTION_ID

    public static final java.lang.String SAVE_TO_DATABASE_ACTION_ID

  Context menu id for save to database action.

### REFRESH_FROM_DATABASE_ACTION_ID

    public static final java.lang.String REFRESH_FROM_DATABASE_ACTION_ID

  Context menu id for refresh from database action.

### ATTACHE_PROFILE_ACTION_ID

    public static final java.lang.String ATTACHE_PROFILE_ACTION_ID

  Context menu id for attach connection profile action.

### TOGGLE_COMMENT

    public static final java.lang.String TOGGLE_COMMENT

  Context menu id for toggle comment action.

### SAVE_AS_TEMPLATE_ACTION_ID

    public static final java.lang.String SAVE_AS_TEMPLATE_ACTION_ID

  Context menu id for save selected text as template action.

### RUN_ACTION_ID

    public static final java.lang.String RUN_ACTION_ID

  Context menu id for run routine action.

### DEBUG_ACTION_ID

    public static final java.lang.String DEBUG_ACTION_ID

  Context menu id for debug routine action.

### OPEN_DECLARATION_ACTION_ID

    public static final java.lang.String OPEN_DECLARATION_ACTION_ID

  Context menu id for open declaration action.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.